#ifndef __FRAMEWORK__VERSION_H__INCLUDED__
#define __FRAMEWORK__VERSION_H__INCLUDED__

#include <string>

#include "types.h"


FRAMEWORK_BEGIN


class Version
{
public:
	const string	strName;
	const uint8_t	nMajor,
					nMinor;
	const uint32_t	nBuild;

	inline	Version(const string &_strName, const uint8_t _nMajor, const uint8_t _nMinor, const uint32_t _nBuild) :
		strName(_strName), nMajor(_nMajor), nMinor(_nMinor), nBuild(_nBuild)
	{	/* nothing to do */	}
};


FRAMEWORK_END
#endif
