#ifndef __FRAMEWORK___STRING_H__INCLUDED__
#define __FRAMEWORK___STRING_H__INCLUDED__

#include <string>
#include <list>

#include "types.h"


FRAMEWORK_BEGIN


list<string>	split(const string &str, const char c);
uint_t			count(const string &str, const char c);

string			operator +(const string &str, const int_t n);
string			operator +(const string &str, const uint_t n);
string			operator +(const string &str, const double &d);


FRAMEWORK_END
#endif
