#ifndef __GRAPHICS__RENDERABLE_H__INCLUDED__
#define __GRAPHICS__RENDERABLE_H__INCLUDED__

#include "GlItem.h"

#include "TransformationMatrix4.h"
#include "Vector2.h"
#include "Vector4.h"


GRAPHICS_BEGIN


class Renderable
{
public:
	inline Renderable()
	{	/* nothing to do */	}
	virtual ~Renderable();


	// load, transform and render the object
	virtual void	glRender() = 0;
};


GRAPHICS_END
#endif
