#include <stdio.h>

#include <framework/_string.h>


FRAMEWORK_BEGIN


list<string> split(const string &str, const char c)
{
	list<string>	slLines;
	size_t			nStart,
					nEnd;
	uint_t			i;

	for(	nStart = 0, nEnd = str.find_first_of(c), i = 0;
			nEnd != string::npos;
			nStart = nEnd + 1, nEnd = str.find_first_of(c, nStart), i++	)
	{	slLines.push_back(str.substr(nStart, nEnd - nStart));	}
	slLines.push_back(str.substr(nStart, str.length() - nStart));

	return slLines;
}

uint_t		count(const string &str, const char c)
{
	uint_t	result = 0;

	for(uint_t i = 0; i < str.length(); i++)
		if(str[i] == c)
			result++;

	return result;
}


string operator +(const string &str, const int_t n)
{
	char	szBuffer[25];

	sprintf(szBuffer, "%d", n);
	return str + string(szBuffer);
}

string operator +(const string &str, const uint_t n)
{
	char	szBuffer[25];

	sprintf(szBuffer, "%u", n);
	return str + string(szBuffer);
}

string operator +(const string &str, const double &d)
{
	char	szBuffer[25];

	sprintf(szBuffer, "%d", d);
	return str + string(szBuffer);
}


FRAMEWORK_END
