#include <graphics/GlItem.h>


GRAPHICS_BEGIN


GlItem::~GlItem()
{	/* nothing to do */	}


void GlItem::glLoad()
{
	if(!bGlLoaded)
	{
		if(!bLoaded)
		{
			_load();
			bLoaded = true;
		}

		_glLoad();
		bGlLoaded = true;
	}
}

void GlItem::glRemove()
{
	if(bGlLoaded)
	{
		_glRemove();
		bGlLoaded = false;

		if(!nLoadCount && bLoaded)
		{
			_remove();
			bLoaded = false;
		}
	}
}


void GlItem::glReload()
{	bGlLoaded = false;	}


void GlItem::glBind()
{	/* nothing to do */	}

void GlItem::glBindLoad()
{
	if(bGlLoaded)
		glBind();
	else
	{
		if(!bLoaded)
		{
			_load();
			bLoaded = true;
		}

		_glLoad();
		bGlLoaded = true;
	}
}


GRAPHICS_END
