#ifndef __AQUAWARS_H__INCLUDED__
#define __AQUAWARS_H__INCLUDED__

#include <graphics/SDLApplication.h>

#include "Simulation.h"


class AquaWars : public SDLApplication
{
protected:
	// threads
	Simulation	simulation;

	virtual void	onInit();

	virtual void	onKeyDown(SDL_keysym &keysym);
	virtual void	onKeyUp(SDL_keysym &keysym);

	virtual void	onMouseMove(SDL_MouseMotionEvent &mme);
	virtual void	onMouseDown(SDL_MouseButtonEvent &mbe);
	virtual void	onMouseUp(SDL_MouseButtonEvent &mbe);

	virtual void	onExit();

public:
	AquaWars();
};


#endif
