#include <graphics/SDLThread.h>


GRAPHICS_BEGIN


int_t SDLThread::_run()
{
	condStart.wait();

	state = running;
	int_t	nExitCode = run();
	state = stopped;

	return nExitCode;
}

void SDLThread::start()
{
	if(state != ready)
		throw SDLThreadNotReadyException();

	condStart.signal();
}


GRAPHICS_END
